PETSc version 3.15.5
Fix/Edit manual page

# MatProductReplaceMats

Replace input matrices for a matrix product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductReplaceMats(Mat A,Mat B,Mat C,Mat D)

Collective on Mat

### Input Parameters

| A | - the matrix or NULL if not being replaced
| B | - the matrix or NULL if not being replaced
| C | - the matrix or NULL if not being replaced
| D | - the matrix product

### Notes

To reuse the symbolic phase, input matrices must have exactly the same data structure as the replaced one. If the type of any of the input matrices is different than what previously used, the product is cleared and MatProductSetFromOptions()/MatProductSymbolic() are invoked again.

### See Also

MatProductCreate(), MatProductSetFromOptions(), MatProductSymbolic(). MatProductClear()

### Level

intermediate

### Location

src/mat/interface/matproduct.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages